@echo off
cd /d %~dp0

:: Prüfen ob Node.js installiert ist
where node >nul 2>nul
if %errorlevel% neq 0 (
    echo  Node.js ist nicht installiert.
    pause
    exit /b 1
)

echo Node.js gefunden:
node -v

npm install
if %errorlevel% neq 0 (
    echo  npm install fehlgeschlagen.
    pause
    exit /b 1
)

npm start
pause